org.hibernate.search.cfg

## Class EntitySpatialMapping

- java.lang.Object
- - org.hibernate.search.cfg.EntitySpatialMapping

-     public class EntitySpatialMapping
      extends Object

  Author:
    Nicolas Helleringer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntitySpatialMapping(SearchMapping mapping, EntityDescriptor entity)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnalyzerDefMapping` | `analyzerDef(String name, Class<? extends TokenizerFactory> tokenizerFactory)`
    `AnalyzerDefMapping` | `analyzerDef(String name, String tokenizerName, Class<? extends TokenizerFactory> tokenizerFactory)`
    `EntitySpatialMapping` | `boost(float boost)`
    `EntitySpatialMapping` | `bottomSpatialHashLevel(int bottomSpatialHashLevel)`
    `ClassBridgeMapping` | `classBridge(Class<?> impl)`
    `ClassBridgeMapping` | `classBridgeInstance(FieldBridge instance)` Registers the given class bridge for the currently configured entity type.
    `EntityMapping` | `entity(Class<?> entityType)`
    `FullTextFilterDefMapping` | `fullTextFilterDef(String name, Class<?> impl)`
    `EntitySpatialMapping` | `name(String fieldName)`
    `NormalizerDefMapping` | `normalizerDef(String name)`
    `PropertyMapping` | `property(String name, ElementType type)`
    `EntitySpatialMapping` | `spatial()`
    `EntitySpatialMapping` | `spatialMode(SpatialMode spatialMode)`
    `EntitySpatialMapping` | `store(Store store)`
    `EntitySpatialMapping` | `topSpatialHashLevel(int topSpatialHashLevel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntitySpatialMapping

          public EntitySpatialMapping(SearchMapping mapping,
                                      EntityDescriptor entity)

  - ### Method Detail

    - #### spatial

          public EntitySpatialMapping spatial()

    - #### name

          public EntitySpatialMapping name(String fieldName)

    - #### store

          public EntitySpatialMapping store(Store store)

    - #### boost

          public EntitySpatialMapping boost(float boost)

    - #### spatialMode

          public EntitySpatialMapping spatialMode(SpatialMode spatialMode)

    - #### topSpatialHashLevel

          public EntitySpatialMapping topSpatialHashLevel(int topSpatialHashLevel)

    - #### bottomSpatialHashLevel

          public EntitySpatialMapping bottomSpatialHashLevel(int bottomSpatialHashLevel)

    - #### fullTextFilterDef

          public FullTextFilterDefMapping fullTextFilterDef(String name,
                                                            Class<?> impl)

    - #### property

          public PropertyMapping property(String name,
                                          ElementType type)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                String tokenizerName,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### normalizerDef

          public NormalizerDefMapping normalizerDef(String name)

    - #### entity

          public EntityMapping entity(Class<?> entityType)

    - #### classBridge

          public ClassBridgeMapping classBridge(Class<?> impl)

    - #### classBridgeInstance

          public ClassBridgeMapping classBridgeInstance(FieldBridge instance)

      Registers the given class bridge for the currently configured entity type. Any subsequent analyzer, parameter etc. configurations apply to this class bridge.
      Parameters:
        `instance` - a class bridge instance
      Returns:
        a new `ClassBridgeMapping` following the method chaining pattern
      Throws:
        `SearchException` - in case the same bridge instance is passed more than once for the currently configured entity type
      Experimental
        This method is considered experimental and it may be altered or removed in future releases

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved